package org.jboss.seam.example.booking;

import static org.jboss.seam.ScopeType.SESSION;
import org.jboss.seam.example.booking.XMPPFriend;
import org.jboss.seam.example.booking.MyXMPPManager;
import java.util.List;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Scope;

@Scope(ScopeType.SESSION)
@Name("xmppfriendlist")
public class XMPPFriendList{
	
	@In(required=true)   
    @Out(required=true, scope = SESSION)
    private MyXMPPManager myxmppmanager;
	
	 private List<XMPPFriend> onlinefrndslist;
	
	public XMPPFriendList(){
		setOnlinefrndslist(myxmppmanager.fetchusablerosterentries());
	}

	public List<XMPPFriend> getOnlinefrndslist() {
		return onlinefrndslist;
	}

	public void setOnlinefrndslist(List<XMPPFriend> onlinefrndslist) {
		this.onlinefrndslist = onlinefrndslist;
	}
	
	
}




